Bug 1609221 - License 'public domain' is not valid
Summary: License 'public domain' is not valid
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-DBIx-Simple
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2018-07-27 10:08 UTC by Dave Olsthoorn
Modified: 2018-08-10 13:41 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-08-10 13:41:08 UTC


Attachments (Terms of Use)

Description Dave Olsthoorn 2018-07-27 10:08:29 UTC
Description of problem:
RPM spec file describes the licence as "public domain" while the real licence specifies the following list to choose from https://opensource.org/licenses/alphabetical. This list does not include public domain.

Comment 1 Tom "spot" Callaway 2018-07-30 17:02:28 UTC
Hi Dave,

Fedora uses this list of "Good Licenses":
https://fedoraproject.org/wiki/Licensing:Main#Good_Licenses

You will note that Public Domain is on that list. You are also correct that the OSI list does not include Public Domain. Why the difference?

Public Domain is not really a license, and the OSI list only lists licenses. When a work is in the Public Domain, it is because either the Copyright has expired or the original copyright holder has abandoned their copyright on the work.

When a work is in the Public Domain, it may be used by anyone in any way that they wish. (It is actually way more complicated than that, but for our purposes, this is correct.)

Becuase PD works have no copyright, they cannot have a copyright license. But, this is not a problem for Fedora (or anyone else), because no license is necessary to have all of the freedoms covered in the Open Source Definition for PD works.

This means that while perl-DBIx-Simple is not technically under an Open Source License, this is only because it is not under _any_ license, because it is not copyrighted at all, and that state is Open Source compatible.

Hope that helps.

Comment 2 Dave Olsthoorn 2018-07-30 18:20:39 UTC
Okay, but how does this work qualify as "Public Domain"? There is a license text that mentions any OSI approved license is valid, not that it was released to the public domain: https://metacpan.org/pod/DBIx::Simple#LICENSE

Comment 3 Tom "spot" Callaway 2018-07-30 18:29:53 UTC
Okay, that is a different situation. Copyright has not been abandoned (or expired) on this work, the author has merely granted a sort of meta-license which permits for any OSI approved license to be applied.

Technically, "Public Domain" is not an OSI approved license, so it is not a valid choice (though, I suspect it was the maintainer's attempt to quantify that weird meta-license).

The easy fix is to change the License field to be something permissive and OSI approved. I would suggest changing the spec to:

# Technically, the license allows us to choose any OSI approved license, so we 
# choose MIT for maximal compatibility.
License: MIT

Comment 4 Dave Olsthoorn 2018-07-30 18:34:23 UTC
Maybe the confusion is because of this:
https://metacpan.org/changes/distribution/DBIx-Simple#L26

It seems the versions after 1.32 are not released into the public domain anymore, but released under "any(OSI)" (as the change log indicates).

Comment 5 Tom "spot" Callaway 2018-07-30 18:47:54 UTC
(In reply to Dave Olsthoorn from comment #4)
> Maybe the confusion is because of this:
> https://metacpan.org/changes/distribution/DBIx-Simple#L26
> 
> It seems the versions after 1.32 are not released into the public domain
> anymore, but released under "any(OSI)" (as the change log indicates).

Looks like you're right. From 1.32:

=head1 LICENSE

There is no license. This software was released into the public domain. Do with
it what you want, but on your own risk. The author disclaims any
responsibility.

****

However, since the author has reasserted copyright post 1.32, that doesn't change my advice in comment 3.

Comment 6 Tom "spot" Callaway 2018-08-10 13:41:08 UTC
I have made the license change that I suggested in comment 3 in rawhide.

Fixed in perl-DBIx-Simple-1.37-5.fc29.


Note You need to log in before you can comment on or make changes to this bug.